OpenTTD Source: SlTownSupplied Class Reference

OpenTTD Source 14.0-beta3

Public Member Functions | Static Public Attributes
SlTownSupplied Class Reference
Inheritance diagram for SlTownSupplied:

## Public Member Functions
size_t | GetNumCargo () const
| Get the number of cargoes used by this savegame version. More...
void | Save (Town *t) const override
void | Load (Town *t) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlTownSupplied, Town >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save ([[maybe_unused]] Town *object) const
void | Save (void *object) const override
virtual void | Load ([[maybe_unused]] Town *object) const
void | Load (void *object) const override
virtual void | LoadCheck ([[maybe_unused]] Town *object) const
void | LoadCheck (void *object) const override
virtual void | FixPointers ([[maybe_unused]] Town *object) const
void | FixPointers (void *object) const override
Public Member Functions inherited from SaveLoadHandler
virtual void | Save ([[maybe_unused]] void *object) const
| Save the object to disk. More...
virtual void | Load ([[maybe_unused]] void *object) const
| Load the object from disk. More...
virtual void | LoadCheck ([[maybe_unused]] void *object) const
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers ([[maybe_unused]] void *object) const
| A post-load callback to fix SL_REF integers into pointers. More...
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _town_supplied_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 118 of file town_sl.cpp.

## Member Function Documentation

## ◆ GetNumCargo()

size_t SlTownSupplied::GetNumCargo | ( |  | ) | const
| inline

Get the number of cargoes used by this savegame version.

Returns
  The number of cargoes used by this savegame version.

Definition at line 132 of file town_sl.cpp.

References IsSavegameVersionBefore(), NUM_CARGO, SlGetStructListLength(), SLV_EXTEND_CARGOTYPES, and SLV_SAVELOAD_LIST_LENGTH.

## Field Documentation

## ◆ description

const SaveLoad SlTownSupplied::description[]
| inlinestatic

Initial value:
= {
SLE_CONDVAR(TransportedCargoStat<uint32_t>, old_max, SLE_UINT32, SLV_165, SL_MAX_VERSION),
SLE_CONDVAR(TransportedCargoStat<uint32_t>, new_max, SLE_UINT32, SLV_165, SL_MAX_VERSION),
SLE_CONDVAR(TransportedCargoStat<uint32_t>, old_act, SLE_UINT32, SLV_165, SL_MAX_VERSION),
SLE_CONDVAR(TransportedCargoStat<uint32_t>, new_act, SLE_UINT32, SLV_165, SL_MAX_VERSION),
}

Definition at line 120 of file town_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/town_sl.cpp

SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition: saveload.h:844
SLV_165
@ SLV_165
165 23304
Definition: saveload.h:241
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition: saveload.h:379
TransportedCargoStat< uint32_t >